<?php
	include("../Funciones.php");
	include("../funcion/funciones.php");
  	include("../clases/BDConexion.php");
  	include("../clases/clsclinico.php");
	session_start();
  	$objclinico = new clsclinico;
	$fecha_med=extraerfechamysql($fecha_med);
	$objclinico->GrabarAtencionMedica($docid,$medico,$tratomed,$anamnesis,$signos_sint,$lugaraten,$diagnostico,$fecha_med);
	$codaten = $objclinico->DevolverNumAtencionActual($docid,$fecha_med);
	
	if (isset($medicina_aten)){
  	while(list($clave,$valor)=each($medicina_aten)){
		$codmend=$valor[0];
		$nommed=$valor[1];
		$cantmed=$valor[2];
		$unidamed=$valor[3];
		$objclinico->InsertDetalleAtencionMedica($codaten,$codmend,$cantmed);
		$objclinico->UpdateStockMedicina($codmend,$cantmed);
		
		$res = $objclinico->DevolverUltimoProcesoKardexMed($codmend);
	 	if($fila=$objclinico->NextRow($res)){
				$codKardex = $fila['cod_kardex_med'];
				$codmed = $fila['cod_med'];
				$saldoIni = $fila['saldo_inicial'];
				$saldoActual  =  $fila['saldo_actual'];
	     		}
				 $saldoIni = $saldoActual;
				 $ingreso = 0;
				 $salida = $cantmed;
				 $fecha = date("Y-m-d");
				 $saldo_actual = $saldoIni - $salida;
				 $observa = "SALIDA";
		 $objclinico->InsertarKardex($codmed,$saldoIni,$ingreso,$salida,$saldo_actual,$fecha,$observa);
		 }
	}
	
	Redirigir("../atenciones_medicas.php?borrar=1&aler=1");
?>